
QGIS Application - Bug report #20734

QGIS crashes on "Create new location" in GRASS New Mapset window

2018-12-05 04:57 PM - Mike Talbot

Status: Open

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:3.7(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28554

Description

Two reports are created sequentially:

User Feedback

First report

Report Details

Crash ID: d76ef2dff745d2aba152da6d1350374fbeb23cff

Stack Trace

RtlRaiseStatus :

longjmp :

longjmp :

G_fatal_error :

G_getenv :

read_datum_table :

GPJ_osr_to_grass :

GPJ_wkt_to_grass :

version :

version :

QMetaObject::activate :

QWizard::subTitleFormat :

QWizard::next :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :
QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

User Feedback

Second report

Report Details

Crash ID: f700d94ec6f7239f82e7b89f1029975f10a95e9c

Stack Trace

longjmp :

DrawFrameControl :

_C_specific_handler :

_chkstk :

RtlUnwindEx :

_C_specific_handler :

_chkstk :

RtlInitializeResource :

RtlRaiseStatus :

longjmp :

longjmp :

G_fatal_error :

G_getenv :

read_datum_table :

GPJ_osr_to_grass :

GPJ_wkt_to_grass :

version :

version :

QMetaObject::activate :

QWizard::subTitleFormat :

QWizard::next :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :
QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:

Duplicated by QGIS Application - Bug report # 21430: QGIS crashes when try to... Closed 2019-02-28

History

#1 - 2018-12-06 10:08 AM - Giovanni Manghi

- Status changed from Open to Feedback

Cannot replicate on a clean install of 3.4.2 on a clean Win 10 machine (EN).

#2 - 2018-12-11 08:15 AM - Jacques Poggio

I just replicated it (exactly the same behavior and dump logs) on a Win 7 (FR) with the exact same versions (Qgis 3.4.2, code 22034aa070 and winnt

x86_64 kernel 6.1.7601).

#3 - 2019-03-08 06:36 AM - Alexander Bruy

- Duplicated by Bug report #21430: QGIS crashes when try to create new GRASS location added

#4 - 2019-03-09 10:07 AM - Giovanni Manghi

- Operating System deleted (Windows 7)

- Affected QGIS version changed from 3.4.2 to 3.7(master)

- Status changed from Feedback to Open
